#!/usr/bin/env python
#
# PkgTrackInst.cmd_support - Command line interface support
#
# ----------------------------------------------------------------------------
# "THE BEER-WARE LICENSE" (Revision 42, (c) Poul-Henning Kamp):
# Hye-Shik Chang <perky@FreeBSD.org> wrote this file.  As long as you retain
# this notice you can do whatever you want with this stuff. If we meet some
# day, and you think this stuff is worth it, you can buy me a beer in return.
#
# Hye-Shik Chang
# ----------------------------------------------------------------------------
# $Id: cmd_support.py 478 2005-05-01 14:42:01Z perky $

__pychecker__ = 'no-argsused no-isliteral'
__all__ = ['INSTALLWATCH_PATH', 'IGNORE_PATHS', 'errx', 'echo_msg']

import sys

INSTALLWATCH_PATH = '/usr/local/lib/installwatch.so'
IGNORE_PATHS = ['/dev', '/tmp', '/var']

def errx(msg):
    echo_msg(msg, sys.stderr)
    sys.exit(-1)

def echo_msg(msg, file=sys.stdout):
    print >> file, '===> ', msg
